////////////////////////////////////////////////////////////////////////
//  
//  ALT Library File: Vehicular 010123
//
//  Copyright (c) 2000, 2001 Kevin Forchione. All rights reserved.
//  Based on ADV.T (c) and STD.T (c) Michael Roberts.
//
//  This file is part of the ALT replacement library for ADV.T and 
//  STD.T and requires TADS 2.5.1 or later.
//
////////////////////////////////////////////////////////////////////////

#ifndef _VEHICULAR_H_
#define _VEHICULAR_H_

#include <nestedroomdisplayable.h>
#include <vehicularactionable.h>
#include <vehiculartravelable.h>

#pragma C+

/*----------------------------------------------------------------------
 *  MIX-IN CLASS:   This class must always preced any non-mix-in classes
 *                  in a superclass list - this is required because a
 *                  mix-in can't override default methods in the root of
 *                  the hierarchy.
 *--------------------------------------------------------------------*/

/*
 *  Vehicular: NestedRoomDisplayable, VehicularActionable,
 *      VehicularTravelable
 */
class Vehicular: NestedRoomDisplayable, VehicularActionable,
    VehicularTravelable
;

#pragma C-

#endif /* _VEHICULAR_H_ */
